Subject: Re: bug#43329: 28.0.50; Incorrect indentation for variables starting with `def' in let form

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Oct 2021 21:23:33 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> So 34 in-tree functions that start with "def", but an unknown number of
> macros.  That's not a lot, and I think we should add indent specs to all
> of them, including the macros.

I've now gone through all the functions that have names that start with
"def" and marked the ones that should have `defun' indent explicitly.
I'll do the macros next, and then we can remove the heuristic.

This will change how out-of-tree code indents, though.  This can be
fixed by out-of-tree packages doing markup, but is there some way we can
make the transition kinder?  (I don't think so, though.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no